%global packname  foreach
%global rlibdir  %{_datadir}/R/library

%global with_suggests 0

Name:             R-%{packname}
Version:          1.4.4
Release:          3%{?dist}
Summary:          Provides Foreach Looping Construct for R

License:          ASL 2.0
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-codetools, R-utils, R-iterators
# Suggests:  R-randomForest
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-codetools
Requires:         R-utils
Requires:         R-iterators
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-codetools
BuildRequires:    R-utils
BuildRequires:    R-iterators
%if %{with_suggests}
BuildRequires:    R-randomForest
%endif

%description
Support for the foreach looping construct.  Foreach is an idiom that
allows for iterating over elements in a collection, without the use of an
explicit loop counter.  This package in particular is intended to be used
for its return value, rather than for its side effects.  In that sense, it
is similar to the standard lapply function, but doesn't require the
evaluation of a function.  Using foreach without side effects also
facilitates executing the loop in parallel.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/examples
%{rlibdir}/%{packname}/unitTests


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.4-1
- initial package for Fedora
